<?php
/**
 * TimestampApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * TimestampApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class TimestampApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiV1TimestampsDayClosingDelete
     *
     * remove / undo one or more \"day closings\" for the timestamp module.
     *
     */
    public function testApiV1TimestampsDayClosingDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsDayClosingPost
     *
     * does one or more \"day closings\" for the timestamp module.
     *
     */
    public function testApiV1TimestampsDayClosingPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsDayClosingTillDateGet
     *
     * gets all infos about last dayclosings for employees.
     *
     */
    public function testApiV1TimestampsDayClosingTillDateGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsDayClosingTillDatePost
     *
     * created dayClosings to a given date.
     *
     */
    public function testApiV1TimestampsDayClosingTillDatePost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsEmployeeEmployeeIdInitialBalancePost
     *
     * sets the initial balance for this employee.
     *
     */
    public function testApiV1TimestampsEmployeeEmployeeIdInitialBalancePost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsEmployeeIdDayDayPut
     *
     * writes the timstamps of a whole day into the database at once.
     *
     */
    public function testApiV1TimestampsEmployeeIdDayDayPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsGet
     *
     * gets a list of timestamps from a given period.
     *
     */
    public function testApiV1TimestampsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsInfoGet
     *
     * gets the timestamp infos for a given time period.
     *
     */
    public function testApiV1TimestampsInfoGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsPauseConfigsGet
     *
     * gets a list of all pause configs.
     *
     */
    public function testApiV1TimestampsPauseConfigsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsPauseConfigsIdDelete
     *
     * deletes a pause config.
     *
     */
    public function testApiV1TimestampsPauseConfigsIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsPauseConfigsIdPut
     *
     * updates a pause config.
     *
     */
    public function testApiV1TimestampsPauseConfigsIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsPauseConfigsPost
     *
     * creates a pause config.
     *
     */
    public function testApiV1TimestampsPauseConfigsPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsPost
     *
     * writes a timestamp into the database.
     *
     */
    public function testApiV1TimestampsPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsStatisticsGet
     *
     * gets the timestamp infos for a given time period (with statistical values).
     *
     */
    public function testApiV1TimestampsStatisticsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TimestampsTimestampIdPut
     *
     * edits a single timestamp.
     *
     */
    public function testApiV1TimestampsTimestampIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
